﻿
namespace ChildHeightModule.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.DomainServices.Providers;
    using System.Web.Ria;
    using System.Web.Ria.Services;


    // Implements application logic using the ChildHeightEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class ChildHeightDomainService : LinqToEntitiesDomainService<ChildHeightEntities>
    {

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Child> GetChild()
        {
            return this.ObjectContext.Child;
        }

        public void InsertChild(Child child)
        {
            this.ObjectContext.AddToChild(child);
        }

        public void UpdateChild(Child currentChild)
        {
            if ((currentChild.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentChild, this.ChangeSet.GetOriginal(currentChild));
            }
        }

        public void DeleteChild(Child child)
        {
            if ((child.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(child);
            }
            this.ObjectContext.DeleteObject(child);
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<ChildHeight> GetChildHeight()
        {
            return this.ObjectContext.ChildHeight;
        }

        public void InsertChildHeight(ChildHeight childHeight)
        {
            this.ObjectContext.AddToChildHeight(childHeight);
        }

        public void UpdateChildHeight(ChildHeight currentChildHeight)
        {
            if ((currentChildHeight.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentChildHeight, this.ChangeSet.GetOriginal(currentChildHeight));
            }
        }

        public void DeleteChildHeight(ChildHeight childHeight)
        {
            if ((childHeight.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(childHeight);
            }
            this.ObjectContext.DeleteObject(childHeight);
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<ChildType> GetChildType()
        {
            return this.ObjectContext.ChildType;
        }
    }
}


