﻿#pragma warning disable 649    // disable compiler warnings about unassigned fields

namespace ChildHeightModule.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.Ria;
    using System.Web.Ria.Services;


    // The MetadataTypeAttribute identifies ChildMetadata as the class
    // that carries additional metadata for the Child class.
    [MetadataTypeAttribute(typeof(Child.ChildMetadata))]
    public partial class Child
    {

        // This class allows you to attach custom attributes to properties
        // of the Child class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class ChildMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ChildMetadata()
            {
            }

            public ChildHeight ChildHeight;

            public Guid ChildID;

            public ChildType ChildType;

            public Guid ParentID;

            public byte[] Version;
        }
    }

    // The MetadataTypeAttribute identifies ChildHeightMetadata as the class
    // that carries additional metadata for the ChildHeight class.
    [MetadataTypeAttribute(typeof(ChildHeight.ChildHeightMetadata))]
    public partial class ChildHeight
    {

        // This class allows you to attach custom attributes to properties
        // of the ChildHeight class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class ChildHeightMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ChildHeightMetadata()
            {
            }

            public Child Child;

            public Guid ChildID;

            public decimal Height;

            public byte[] Version;
        }
    }

    // The MetadataTypeAttribute identifies ChildTypeMetadata as the class
    // that carries additional metadata for the ChildType class.
    [MetadataTypeAttribute(typeof(ChildType.ChildTypeMetadata))]
    public partial class ChildType
    {

        // This class allows you to attach custom attributes to properties
        // of the ChildType class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class ChildTypeMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ChildTypeMetadata()
            {
            }

            public EntityCollection<Child> Child;

            public Guid ChildTypeId;

            public string Description;

            public byte[] Version;
        }
    }
}

#pragma warning restore 649    // re-enable compiler warnings about unassigned fields
