﻿
namespace ChildWidthModule.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.DomainServices.Providers;
    using System.Web.Ria;
    using System.Web.Ria.Services;


    // Implements application logic using the ChildWidthEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class ChildWidthDomainService : LinqToEntitiesDomainService<ChildWidthEntities>
    {

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Child> GetChild()
        {
            return this.ObjectContext.Child;
        }

        public void InsertChild(Child child)
        {
            this.ObjectContext.AddToChild(child);
        }

        public void UpdateChild(Child currentChild)
        {
            if ((currentChild.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentChild, this.ChangeSet.GetOriginal(currentChild));
            }
        }

        public void DeleteChild(Child child)
        {
            if ((child.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(child);
            }
            this.ObjectContext.DeleteObject(child);
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<ChildType> GetChildType()
        {
            return this.ObjectContext.ChildType;
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<ChildWidth> GetChildWidth()
        {
            return this.ObjectContext.ChildWidth;
        }

        public void InsertChildWidth(ChildWidth childWidth)
        {
            this.ObjectContext.AddToChildWidth(childWidth);
        }

        public void UpdateChildWidth(ChildWidth currentChildWidth)
        {
            if ((currentChildWidth.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentChildWidth, this.ChangeSet.GetOriginal(currentChildWidth));
            }
        }

        public void DeleteChildWidth(ChildWidth childWidth)
        {
            if ((childWidth.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(childWidth);
            }
            this.ObjectContext.DeleteObject(childWidth);
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Parent> GetParent()
        {
            return this.ObjectContext.Parent;
        }
    }
}


