﻿#pragma warning disable 649    // disable compiler warnings about unassigned fields

namespace ParentModule.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.Ria;
    using System.Web.Ria.Services;


    // The MetadataTypeAttribute identifies ParentMetadata as the class
    // that carries additional metadata for the Parent class.
    [MetadataTypeAttribute(typeof(Parent.ParentMetadata))]
    public partial class Parent
    {

        // This class allows you to attach custom attributes to properties
        // of the Parent class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class ParentMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ParentMetadata()
            {
            }

            public string Description;

            public Guid ParentID;

            public byte[] Version;
        }
    }
}

#pragma warning restore 649    // re-enable compiler warnings about unassigned fields
